## ros-indigo-turtlebot 2.3.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-turtlebot (2.3.14-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-turtlebot (2.3.13-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-indigo-turtlebot (2.3.12-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 27 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot (2.3.11-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 15 Apr 2015 07:00:00 -0000

ros-indigo-turtlebot (2.3.10-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Thu, 02 Apr 2015 07:00:00 -0000

ros-indigo-turtlebot (2.3.9-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-indigo-turtlebot (2.3.8-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-turtlebot (2.3.7-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 02 Mar 2015 08:00:00 -0000

ros-indigo-turtlebot (2.3.6-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-indigo-turtlebot (2.3.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 12 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot (2.3.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 07 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot (2.3.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 05 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot (2.3.2-0trusty) trusty; urgency=high

  * cleanup metapackage. add teleop and remove laptop battery_monitor
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot (2.3.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot (2.3.0-0trusty) trusty; urgency=high

  * migrate linux_hardware as linux_peripheral_interfaces repo
  * adds turtlebot_capabilities package and related changes
  * Contributors: Jihoon Lee, Marcus Liebhardt

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Sun, 30 Nov 2014 08:00:00 -0000

ros-indigo-turtlebot (2.2.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-turtlebot (2.2.1-0trusty) trusty; urgency=high

  * CMake logic bugfixes.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Sat, 14 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot (2.2.0-0trusty) trusty; urgency=high

  * Changelogs at package level.
  * Add eclipse project files.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Thu, 29 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot (2.1.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 06 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot (2.1.0-0trusty) trusty; urgency=high

  * Remove obsolete turtlebot_app_manager, as on Hydro we use rocon_app_manager

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 15 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@rnd.yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/turtlebot
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-turtlebot-bringup, ros-indigo-turtlebot-capabilities, ros-indigo-turtlebot-description, ros-indigo-turtlebot-teleop
Description: The turtlebot meta package provides all the basic drivers for running and using a TurtleBot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
